body {
    font-family: Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    position: relative;
    overflow: hidden;
}

body::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url('image/background.jpg') no-repeat center center/cover;
    opacity: 0.2;
    z-index: -1;
}

.container {
    background: white;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    width: 350px;
    position: relative;
    z-index: 1;
}


.container h2 {
    color:  #17B26A;
    font-size: 35px;
    
}
.name-inputs {
    display: flex;
    gap: 10px;
    width: 100%;
}

.name-inputs input {
    flex: 1;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
    font-size: 14px;
}

.name-inputs input:focus {
    outline: none;
    border-color: #4CAF50;
    box-shadow: 0 0 5px rgba(76, 175, 80, 0.2);
}

@media (max-width: 768px) {
    .name-inputs {
        flex-direction: column;
        gap: 5px;
    }
}
.input-group {
    margin: 15px 0;
    text-align: left;
}
.input-group label {
    display: block;
    margin-bottom: 5px;
}
.input-group input, .input-group select {
    width: 90%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 5px;
}
.input-group input:focus {
    box-shadow: 0 0 5px #17B26A;
    outline: none;
}
.input-row {
    display: flex;
    justify-content: space-between;
}

.input-row .input-group {
    width: 48%;
}

.btn-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
}
.btn {
    padding: 10px 20px;
    background: #17B26A;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-left: 100px;
}
.btn:hover {
    background: darkgreen;
}
.login-link {
    display: flex;
    align-items: center;
    font-size: 14px;
}
.login-link p {
    margin: 0;
    margin-right: 5px;
}
.login-link a {
    color:  #17B26A;
    text-decoration: none;
}
.login-link a:hover {
    text-decoration: underline;
}

.error-message {
    color: red;
    font-size: 12px;
    margin-top: 5px;
}

.password-wrapper {
  position: relative;
  width: 95%;
}

.password-wrapper input {
  width: 100%;
  padding-right: 45px;
  box-sizing: border-box;
}

.toggle-password {
  position: absolute;
  right: 12px;               /* stays inside input */
  top: 50%;                  /* always centered */
  transform: translateY(-50%);
  cursor: pointer;
  color: #000;
  font-size: 16px;
}
